#. Ttulo: Induo Estatstica - Intervalo de Confiana para a Mdia
#. Curso : CET083- Probabilidade e Estatistica
#. Data  : 2023-01-14 13:47:12
# Autores: Brandon Antunes 201320040
#          Harlio Oliveira 201320048
#          Maicon Welder   201310058
# Professor: Jos C. Faria

# Inferncia (ou induo) estatistica  o conjunto de tcnicas que permitem tirar concluses
# sobre uma populao atravs de evidncias fornecidas por uma amostra.


#. INTERVALO DE CONFINA PARA MDIA
# Quando queremos estimar a media de uma populao, devem ser considerados dois casos:
# - varincia (populacional) conhecida
# - varincia (populacional) desconhecida.

# Importante!
# Caso a amostra seja de um tamanho pequeno (n <30), para calcular o intervalo de confiana para a media,
# devemos usar a distribuio t de student.

# Recursos bsicos do R par a disribuio 't' de Student
?pt
?qt

#... EXEMPLO 01 SLIDE
# Um estagirio do LEC tomou uma amostra de 36 alunos para verificar o tempo mdio gasto para resolver questes de estatstica,
# foi verificado que x=19.9 e s=5.73, construir um intervalo de confiana (95%) para m.

#-----------------------------------
dp <- 5.73
n  <- 36
x  <- 19.9
alfa <- 5/100

E  <- qnorm(1 - alfa/2)* dp/sqrt(n)
IC <- c(x - E,
        x + E)
IC
#-----------------------------------

#.. VARIANCIA CONHECIDA
#... EXEMPLO 02 SLIDE
# A durao de vida de uma pea de equipamento  tal que o desvio padro  de 5 horas.
# Foram amostradas 100 dessas peas obtendo-se amdia de 500 horas.
# Desejase construir um intervalo de confiana para a verdadeira durao mdia da pea comum nvel de 95% deconfiana.

#-----------------------------------
alfa <- 5/100
dp <- 5
n <- 100
x <- 500
E <- qnorm(1 - alfa/2)* dp/sqrt(n)
IC <- c(x - E,
        x + E)
IC
#-----------------------------------


#.. VARIANCIA DESCONHECIDA
# Quando a varincia  desconhecida, faz-se necessrio utilizar o estimador s.
# Sendo assim, o clculo para o erro padro da mdia ir mudar. Logo, ao invs de utilizar a tabela Z,  necessario utilizar a tabela t de student

#... EXEMPLO 03 SLIDE
# Uma empresa estuda o atraso na entrega dos pedidos recebidos.
# Supe-se que o atraso nas entregas possui distribuio normal e os tempos de atraso(em dias) dos ltimos 20 pedidos so dados abaixo:

#--------------------------------------------------------------------
y  <- c(5, 1, 0, 3, 10,
        2, 3, 4, 1,  5,
        3, 1, 6, 6,  9,
        0, 0, 1, 0,  6)
dp <- sd(y)     # desvio padro amostral
x  <- mean(y)   # media amostral
n  <- length(y) # tamanho amostra

alfa <- 10/100

E  <- qt(1 - alfa/2, df=19)* dp/sqrt(n)
IC <- c(x - E,
        x + E)
IC

#... Funo de alto nvel do R ('t.test')
t.test(y,
       conf.level=1-alfa)
#--------------------------------------------------------------------


#... EXEMPLO 04
# Consideremos que o projetista de uma indstria tomou uma amostra de 36 funcionrios para verificar o tempo mdio gasto para montar um determinado brinquedo.
# Os tempos so fornecidos a seguir (y). Dado que o projetista no tem conhecimento da variabilidade da populao,
# construir um intervalo de confiana com (1-alpha)=0,95 para a mdia.

#--------------------------------------------------------------------
y <- c(17.1000,	16.8930,	14.6004,	13.0053,
       29.6292,	19.2500,	17.7504,	24.6337,
       29.3567,	25.0798,	16.7914,	29.4087,
       23.8807,	15.2133,	19.1536,	30.3199,
       13.0050,	24.6795,	29.3308,	20.7309,
       16.4541,	26.2017,	21.7857,	19.7393,
       24.6042,	18.6442,	21.2594,	26.9123,
       16.9896,	32.8977,	21.3627,	15.4958,
       18.3113,	23.6931,	19.5429,	16.3855)
alfa <- 5/100

t.test(y,
       conf.level=1-alfa)
#--------------------------------------------------------------------
